Subject: RE: Strange message from updatedb
From: "Furash Gary" <[email-masked]>
To: "Phil Edwards" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 27 Feb 2007 11:56:28 -0700
List-Id: <cygwin.cygwin.com>

So is there anything I can do for win cygwin? 

-----Original Message-----
From: Phil Edwards [mailto:[email-masked]] 
Sent: Tuesday, February 27, 2007 11:51 AM
To: Furash Gary
Cc: [email-masked]; [email-masked]
Subject: Re: Strange message from updatedb

On 2/27/07, Furash Gary <[email-masked]> wrote:
> /cygdrive/c/System\ Volume\ Information

Quotes and backslashes aren't going to solve the problem, I think.  I
looked at updatedb (it's a shell script), and the --prunepaths argument
is passed through a sed script which replaces spaces in order to turn it
all into a regexp.  There's no way of telling sed to avoid some spaces
and translate others.

You used to be able to set the internal PRUNEREGEX variable directly, in
a .conf file, but apparently that file is only used under Linux versions
of updatedb, or something.

Most lists of dirs are passed around with colon (or some such)
separators to avoid just such problems with paths containing whitespace.
updatedb is still living in the 80's.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/